import 'package:adaptive_widget/adaptive_widget.dart';
import 'package:flutter/material.dart';

class AdaptiveWidget extends StatefulWidget {
  const AdaptiveWidget({Key key}) : super(key: key);

  @override
  _AdaptiveWidgetState createState() => _AdaptiveWidgetState();
}

class _AdaptiveWidgetState extends State<AdaptiveWidget> {
  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          MaterialButton(
            minWidth: 150,
            color: Theme.of(context).primaryColor,
            child: Text('AlertDialog弹窗'),
            onPressed: () {
              showAdaptiveAlertDialog(
                context: context,
                style: AdaptiveStyle.adaptive,
              );
            },
          ),
        ],
      ),
    );
  }
}
